<?php

namespace Bbg\DotDatConverter\Helpers;

use Bbg\DotDatConverter\Entities\Schema;
use Bbg\DotDatConverter\Exceptions\InvalidSchemaException;
use RecursiveArrayIterator;
use RecursiveIteratorIterator;

class DataValidator
{
    public static function validate(Schema $schema, array $data): bool
    {
        return true;
    }

    public static function getArrayDepth(array $array): int
    {
        $depth = 0;
        $iteIte = new RecursiveIteratorIterator(new RecursiveArrayIterator($array));

        foreach ($iteIte as $ite) {
            $d = $iteIte->getDepth();
            $depth = max($d, $depth);
        }

        return $depth;
    }
}